GameScreen.textures_path = "graphics/screens/19_attic/zoom/"

function GameScreen:RestoreScene()  
    for found_item in string.gmatch(GetState(CURRENT_SCREEN, "found_obj"), "[_%a%d]+") do
		ItemRemove(self.name, found_item)
		ItemRemove(self.name, found_item.."_shadow")
    end 
end

function GameScreen:InitScreen()
    self:LoadScreen()
    
    SoundPlay("sound/chest_open.ogg")
    
    self:RestoreScene()   
end


function GameScreen:LoadScreen()
	--[[---Background---]]--
	self:CreateObj(OBJ_TYPE.ACTIVE_ALL, "back_trigger", "graphics/trigger", 0, 0, WINDOW_WIDTH, WINDOW_HEIGHT);
	ItemSetOpacity("back_trigger", 0.7)
	
	self:CreateObj(OBJ_TYPE.ACTIVE_ALL, "chest_zoom", "graphics/screens/19_attic/zoom/chest_zoom", 341, 91);
	
    self:CreateObj(OBJ_TYPE.ACTIVE_ALL, "money_pouch", "graphics/screens/19_attic/zoom/money_pouch_part", 780, 421);
    self:CreateObj(OBJ_TYPE.ACTIVE_ALL, "wooden_circle", "graphics/screens/19_attic/zoom/wooden_circle_part", 1023, 596);
    
    self:CreateObj(OBJ_TYPE.ACTIVE_ALL, "zoom_close", "graphics/interface/hud/continue_zoom", 667, 892);
	
	clScreenManager:add_screen("hud") 
end
